LSP to move all 3d objects to 0 plain

Discussion in 'AutoCAD' started by Boll Weevil, Mar 2, 2005.

  1. Boll Weevil

    Boll Weevil Guest

    We have a model of buildings that were create in another cad program. The
    building were set on a 3d terrain so they are Z values. Is there a LSP file
    that can take all the buildings and set them on the zero Z plain?? Thanx.
     
    Boll Weevil, Mar 2, 2005
    #1
  2. I don't know of anything that will convert all kinds of entities into 2D.
    Depending on the type of entities used to make the model, a simple lisp like
    that below will do it. It won't change the thickness of entities to 0, and
    it won't flatten solids, or blocks with 3d relations in them, so you may be
    into a multi-stage process. Copy everything between the lines into a file
    named flat.lsp, and put the file in your path. Use APPLOAD to load the lisp
    file then issue the command FLAT at the command prompt.

    There are other routines around, but they have the same effect, I think.
    --


    MichaelB
    www.michaelbulatovich.ca

    ---------------------------------------------------------
    (defun C:FLAT ()
    (command "_.move" "_all" "" '(0 0 1e99) ""
    "_.move" "_p" "" '(0 0 -1e99) "")
    (princ)
    )
     
    Michael Bulatovich, Mar 2, 2005
    #2
  3. Boll Weevil

    Boll Weevil Guest

    You misunderstood my intent. I have buildings floating above and blow the
    ground plain at elevation zero. I want to move down the buildings that are
    above ground zero and move up buildings below ground zero. All to the same
    ground plain. I don't want to alter or modify the object.
     
    Boll Weevil, Mar 2, 2005
    #3
  4. That's done with the MOVE command. I'd suggest splitting up the screen into
    maybe three ports and set one of them to look at the model with the XY plane
    perpendicular to the screen. Then you can use point filters to get them
    level with each other. I hope there isn't a small town's worth of buildings
    there......
    --


    MichaelB
    www.michaelbulatovich.ca

     
    Michael Bulatovich, Mar 2, 2005
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.